- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QGradient Class Reference

Search for all occurrences

## Detailed Description

Definition at line 195 of file qbrush.h.

`#include <qbrush.h>`

Inheritance diagram for QGradient:
[legend]

List of all members.

## Public Types
enum | Type { LinearGradient, RadialGradient, ConicalGradient, NoGradient }
enum | Spread { PadSpread, ReflectSpread, RepeatSpread }
enum | CoordinateMode { LogicalMode, StretchToDeviceMode, ObjectBoundingMode }
enum | InterpolationMode { ColorInterpolation, ComponentInterpolation }
## Public Member Functions
| QGradient ()
Type | type () const
void | setSpread (Spread spread)
Spread | spread () const
void | setColorAt (qreal pos, const QColor &color)
void | setStops (const QGradientStops &stops)
QGradientStops | stops () const
CoordinateMode | coordinateMode () const
void | setCoordinateMode (CoordinateMode mode)
InterpolationMode | interpolationMode () const
void | setInterpolationMode (InterpolationMode mode)
bool | operator== (const QGradient &gradient) const
bool | operator!= (const QGradient &other) const
bool | operator== (const QGradient &gradient)
## Friends
class | QLinearGradient
class | QRadialGradient
class | QConicalGradient

## Member Enumeration Documentation

enum Type

Search for all occurrences

Enumerator:

  LinearGradient | Search for all occurrences
  RadialGradient | Search for all occurrences
  ConicalGradient | Search for all occurrences
  NoGradient | Search for all occurrences

Definition at line 200 of file qbrush.h.

                  {
            LinearGradient,
            RadialGradient,
            ConicalGradient,
            NoGradient
        };

enum Spread

Search for all occurrences

Enumerator:

  PadSpread | Search for all occurrences
  ReflectSpread | Search for all occurrences
  RepeatSpread | Search for all occurrences

Definition at line 207 of file qbrush.h.

                    {
            PadSpread,
            ReflectSpread,
            RepeatSpread
        };

enum CoordinateMode

Search for all occurrences

Enumerator:

  LogicalMode | Search for all occurrences
  StretchToDeviceMode | Search for all occurrences
  ObjectBoundingMode | Search for all occurrences

Definition at line 213 of file qbrush.h.

                            {
            LogicalMode,
            StretchToDeviceMode,
            ObjectBoundingMode
        };

enum InterpolationMode

Search for all occurrences

Enumerator:

  ColorInterpolation | Search for all occurrences
  ComponentInterpolation | Search for all occurrences

Definition at line 219 of file qbrush.h.

                               {
            ColorInterpolation,
            ComponentInterpolation
        };

## Constructor & Destructor Documentation

QGradient | ( |  | ) |

## Member Function Documentation

Type type | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 226 of file qbrush.h.

    { return m_type; }

void setSpread | ( | Spread | spread | ) | `[inline]`

Search for all occurrences

Definition at line 270 of file qbrush.h.

    { m_spread = aspread; }

Spread spread | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 229 of file qbrush.h.

    { return m_spread; }

void setColorAt | ( | qreal | pos,
|  | const QColor & | color
| ) |  |

Search for all occurrences

void setStops | ( | const QGradientStops & | stops | ) |

Search for all occurrences

QGradientStops stops | ( |  | ) | const

Search for all occurrences

CoordinateMode coordinateMode | ( |  | ) | const

Search for all occurrences

void setCoordinateMode | ( | CoordinateMode | mode | ) |

Search for all occurrences

InterpolationMode interpolationMode | ( |  | ) | const

Search for all occurrences

void setInterpolationMode | ( | InterpolationMode | mode | ) |

Search for all occurrences

bool operator== | ( | const QGradient & | gradient | ) | const

bool operator!= | ( | const QGradient & | other | ) | const `[inline]`

Definition at line 243 of file qbrush.h.

        { return !operator==(other); }

bool operator== | ( | const QGradient & | gradient | ) |

## Friends And Related Function Documentation

friend class QLinearGradient `[friend]`

Search for all occurrences

Definition at line 249 of file qbrush.h.

friend class QRadialGradient `[friend]`

Search for all occurrences

Definition at line 250 of file qbrush.h.

friend class QConicalGradient `[friend]`

Search for all occurrences

Definition at line 251 of file qbrush.h.

## Member Data Documentation

qreal x1

Search for all occurrences

Definition at line 258 of file qbrush.h.

qreal y1

Search for all occurrences

Definition at line 258 of file qbrush.h.

qreal x2

Search for all occurrences

Definition at line 258 of file qbrush.h.

qreal y2

Search for all occurrences

Definition at line 258 of file qbrush.h.

struct { ... } linear

Search for all occurrences

qreal cx

Search for all occurrences

Definition at line 261 of file qbrush.h.

qreal cy

Search for all occurrences

Definition at line 261 of file qbrush.h.

qreal fx

Search for all occurrences

Definition at line 261 of file qbrush.h.

qreal fy

Search for all occurrences

Definition at line 261 of file qbrush.h.

qreal radius

Search for all occurrences

Definition at line 261 of file qbrush.h.

struct { ... } radial

Search for all occurrences

qreal angle

Search for all occurrences

Definition at line 264 of file qbrush.h.

struct { ... } conical

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qbrush.h

QGradient QGradient QGradient QGradient QGradient QGradient QGradient QGradient QGradient QGradient
QGradient QGradient QGradient QGradient QGradient QGradient QGradient QGradient QGradient QGradient